Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::QtOpenGlErrorViewer Class Reference

Simple class to display OpenGl error is QDialog. More...

`#include <QtOpenGlErrorViewer.h>`

List of all members.

## Public Member Functions

- QtOpenGlErrorViewer (QWidget *parent=NULL)
- virtual void displayError (const std::string &title, const std::string &errorMsg)
- virtual void displayErrorWithAskAgain (const std::string &title, const std::string &errorMsg)

## Protected Attributes

- QWidget * parent

## Detailed Description

Simple class to display OpenGl error is QDialog.

This class is used to display OpenGl error is QDialog

## Constructor & Destructor Documentation

tlp::QtOpenGlErrorViewer::QtOpenGlErrorViewer | ( | QWidget * | parent = `NULL` | ) | `[inline]`

Basic constructor

## Member Function Documentation

virtual void tlp::QtOpenGlErrorViewer::displayError | ( | const std::string & | title,
|  | const std::string & | errorMsg
| ) |  | `[virtual]`

Display an error in a QDialog with title : title, and text : errorMsg

virtual void tlp::QtOpenGlErrorViewer::displayErrorWithAskAgain | ( | const std::string & | title,
|  | const std::string & | errorMsg
| ) |  | `[virtual]`

Display an error in a QDialog with title : title, and text : errorMsg In this dialog we had a ask again check box

## Member Data Documentation

QWidget* tlp::QtOpenGlErrorViewer::parent`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012